spoonity logo
    • API
    • Documentation
    • Support
    • Getting Started

      • Introduction
      • Authentication
      • Handling Errors
      • Webhooks
    • Workflows

      • Placing an order
      • Retrieving a list of checked-in users
      • Registering an account
      • Working with user profiles
      • Reloading an account
    • Resources

      • Billing Profile
      • Card
      • Content
      • Country & Region
      • EGift
      • OnScreen
      • Order
      • User
      • Balances & Rewards
      • Transaction History
        • (DEPRECATED) Retrieve customer historyGET
        • Retrieve customer historyGET
      • Inbox
      • Spending Rules
    • Sign in

    Transaction History

    These APIs are used to retrieve information about a user's past transactions and how those transactions relate to loyalty balance changes.


    GET/user/transaction/list

    (DEPRECATED) Retrieve customer history

    This request returns a list organized by transactions, where each transaction represents an adjustment to a customer's balance.

    Query parameters

    • Name
      session_key
      Type
      string
      Description

      Session token for an end-customer.

    Response attributes

    • Name
      rating
      Type
      object
      Description

      An object that holds information about the rating of this transaction.

    • Name
      tip
      Type
      object
      Description

      An object that contains information about the tip on this transaction.

    • Name
      id
      Type
      integer
      Description

      The internal reference number for this specific transaction.

    • Name
      date
      Type
      integer
      Description

      The date this transaction was completed, listed as a Unix timestamp in seconds from 1970-01-01 00:00:00.

    • Name
      total
      Type
      float
      Description

      Usually the same as subtotal, safe to ignore as does not affect the calculation of points.

    • Name
      address
      Type
      string
      Description

      The address of the store where this transaction occurred.

    • Name
      name
      Type
      string
      Description

      The name of the store where this transaction occurred.

    • Name
      quickpay
      Type
      object
      Description

      An object that holds information regarding the changes in quickpay balance for this transaction.

    • Name
      items
      Type
      array
      Description

      An array of objects where each object holds information about an item on this order.

    • Name
      receipts
      Type
      array
      Description

      Holds the receipt information for this transaction.

    • Name
      reward
      Type
      array
      Description

      An array of objects that each contain information regarding the rewards redeemed or earned on this transaction.

    • Name
      status
      Type
      string
      Description

      Indicates the status of the transaction in a way that is user friendly.

    Request

    GET
    /user/transaction/list
    curl -G https://api.spoonity.com/user/transaction/list?session_key={session_key} \
    

    Response

    {
        "object": "collection",
        "count": 248,
        "page": 1,
        "page_size": 10,
        "total_pages": 25,
        "next_page_url": "http://api-staging.spoonity.com/user/transaction/list?user=582846&api_key=0e5a39f0c70451e900233b689e3445b5&page=2&limit=10",
        "previous_page_url": null,
        "data": [
            {
                "rating": {
                    "comment": null,
                    "value": -1,
                    "window": 0
                },
                "tip": {
                    "amount": 0,
                    "window": 0
                },
                "object": "virtual\\transaction",
                "id": 20730708,
                "date": 1613057680,
                "total": 0,
                "address": "10 Rockefeller Plaza",
                "name": "Demo Store",
                "quickpay": {
                    "object": "virtual\\transaction\\quickpay",
                    "used": 0,
                    "loaded": 0,
                    "balance": 52.43
                },
                "items": [...],
                "taxes": [],
                "receipts": [...],
                "rewards": [...],
                "status": "Complete"
            }
        ]
    }
    

    GET/vendor/{vendor_id}/customers/{customer_id}/history

    Retrieve customer history

    This request returns a list organized by receipts, where each receipt represents an order placed by the customer.

    Query parameters

    • Name
      session_key
      Type
      string
      Description

      Session token for an end-customer.

    Response attributes

    • Name
      receipt_id
      Type
      object
      Description

      An internal reference number for this receipt.

    • Name
      receipt_number
      Type
      object
      Description

      The receipt number as received from the POS.

    • Name
      receipt_date
      Type
      integer
      Description

      Indicates the date associated with the receipt as received from the POS, as a Unix timestamp in seconds from 1970-01-01 00:00:00.

    • Name
      receipt_type
      Type
      integer
      Description

      Indicates the receipt type in a way that is user friendly.

    • Name
      date_created
      Type
      float
      Description

      Indicates the date that this record was created, as a Unix timestamp in seconds from 1970-01-01 00:00:00.

    • Name
      date_updated
      Type
      integer
      Description

      Indicates the date that this record was updated, as a Unix timestamp in seconds from 1970-01-01 00:00:00.

    • Name
      subtotal
      Type
      float
      Description

      The value that was used to calculate points earned from this order, as received from the POS.

    • Name
      total
      Type
      float
      Description

      The amount the customer actually pays, not relevant to the calculation of points, as received from the POS.

    • Name
      total_with_tips
      Type
      float
      Description

      The total amount including any tips, as indicated on the order received from the POS.

    • Name
      is_online_order
      Type
      boolean
      Description

      A boolean indicating if this transaction was an online order.

    • Name
      feedback
      Type
      object
      Description

      Any feedback associated with this this order, as received from the POS.

    • Name
      vendor
      Type
      object
      Description

      An object that contains information about the vendor this order has been created through.

    • Name
      line_items
      Type
      array
      Description

      Holds information about each item in the order.

    • Name
      global_discounts
      Type
      array
      Description

      Holds objects that have information about discounts on the overall order.

    • Name
      loyalty
      Type
      array
      Description

      An array of objects that each contain information about a change in the loyalty balance for this transaction.

    Request

    GET
    /vendor/{vendor_id}/customers/{customer_id}/history
    curl -G https://api.spoonity.com/vendor/{vendor_id}/customers/{customer_id}/history?session_key={session_key}
    

    Response

    {
        "data": [
        {
            "receipt_id": 241804273,
            "receipt_number": null,
            "receipt_date": 1758800952,
            "receipt_type": "Quick Pay",
            "date_created": 1758801465,
            "date_updated": 1758801465,
            "subtotal": 10,
            "total": 10,
            "total_with_tips": 10,
            "is_online_order": false,
            "feedback": null,
            "vendor": {
                "vendor_id": 1052577,
                "name": "Main Street",
                "address": "273 Ottawa 36",
                "city": "Ottawa",
                "region": null,
                "country": null,
                "postal_code": "K1Z 6X3",
                "latitude": 45.393414,
                "longitude": -75.751249
            },
            "lineitems": [
                {
                    "receipt_detail_id": 839661925,
                    "name": "Quick Pay",
                    "identifier": "quick_pay",
                    "quantity": 1,
                    "price": 10,
                    "modifiers": [],
                    "discounts": []
                }
            ],
            "global_discounts": null,
            "loyalty": [
                {
                    "transaction_detail_id": 391587088,
                    "perk": null,
                    "redemption": null,
                    "currency": {
                        "currency_id": 10114,
                        "name": "Aruban Florin",
                        "code": "AWG"
                    },
                    "amount": 10,
                    "type": "Purchase",
                    "status": "Complete",
                    "expiry_date": null,
                    "charge": {...}
                }
            ]
        },
        ],
        "paging": {...}
    }
    
    

    Was this page helpful?

    PreviousBalances & Rewards
    NextInbox

    © Copyright 2026 Spoonity, Inc. All rights reserved.